Return configuration options (eg, available deployment locations, queue manager sizes)

GET /v1/{service_instance_guid}/options

Return configuration options (eg, available deployment locations, queue manager sizes).

Request

Response

200 - Configuration options.

locations

array

List of deployment locations.

sizes

array

List of queue manager sizes.

versions

array

List of queue manager versions.

latest_version

string

The latest Queue manager version.

301 -

400 -

401 -

404 -

429 -

500 -

Get the usage details

GET /v1/{service_instance_guid}/usage

Get the usage details.

Request

Response

200 - Usage details for an account.

vpc_entitlement

number

VPC entitlement.

vpc_usage

number

VPC usage.

301 -

400 -

401 -

404 -

429 -

500 -

Create a new queue manager

POST /v1/{service_instance_guid}/queue_managers

Create a new queue manager.

Request

Request Body

Response

202 - Returns url to track progress of the queue manager deployment.

queue_manager_uri

string

Uri for the details of the queue manager.

queue_manager_status_uri

string

Uri for the status of the queue manager.

queue_manager_id

string

The queue manager id.

301 -

400 -

401 -

405 -

409 -

429 -

500 -

503 -

Get list of queue managers

GET /v1/{service_instance_guid}/queue_managers

Get a list of the queue manager summaries which exist in this service instance.

Request

Path Parameters

Query Parameters

offset

integer

Pagination offset.

limit

integer

The numbers of resources to return.

Response

200 - An object containing a list of queue managers.

offset

integer

Pagination offset.

limit

integer

Results per page, same for all collections.

first

First

Link to first page of results.

next

Next

Link to next page of results.

previous

Previous

Link to previous page of results.

queue_managers

array

List of queue managers.

301 -

400 -

401 -

404 -

429 -

500 -

Get details of a queue manager

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}

Get the details of a given queue manager.

Request

Response

200 - Description of the queue manager.

id

string

The ID of the queue manager which was allocated on creation, and can be used for delete calls.

name

string

A queue manager name conforming to MQ restrictions.

display_name

string

A displayable name for the queue manager - limited only in length.

location

string

The locations in which the queue manager could be deployed.

size

string

The queue manager sizes of deployment available.

status_uri

string

A reference uri to get deployment status of the queue manager.

version

string

The MQ version of the queue manager.

web_console_url

string

The url through which to access the web console for this queue manager.

rest_api_endpoint_url

string

The url through which to access REST APIs for this queue manager.

administrator_api_endpoint_url

string

The url through which to access the Admin REST APIs for this queue manager.

connection_info_uri

string

The uri through which the CDDT for this queue manager can be obtained.

date_created

string

RFC3339 formatted UTC date for when the queue manager was created.

upgrade_available

boolean

Describes whether an upgrade is available for this queue manager.

available_upgrade_versions_uri

string

The uri through which the available versions to upgrade to can be found for this queue manager.

href

string

The URL for this queue manager.

301 -

400 -

401 -

404 -

429 -

500 -

Delete a queue manager

DELETE /v1/{service_instance_guid}/queue_managers/{queue_manager_id}

Delete a queue manager.

Request

Response

202 - Returns url to track progress for delete queue manager.

queue_manager_uri

string

Uri for the details of the queue manager.

queue_manager_status_uri

string

Uri for the status of the queue manager.

queue_manager_id

string

The queue manager id.

301 -

400 -

401 -

404 -

429 -

500 -

Upgrade a queue manager

PUT /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/version

Upgrade a queue manager.

Request

Request Body

Response

202 - Returns url to track progress of the queue manager upgrade.

queue_manager_uri

string

Uri for the details of the queue manager.

queue_manager_status_uri

string

Uri for the status of the queue manager.

queue_manager_id

string

The queue manager id.

301 -

400 -

401 -

405 -

409 -

429 -

500 -

503 -

Get the list of available versions that this queue manager can be upgraded to

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/available_versions

Get the list of available versions that this queue manager can be upgraded to.

Request

Response

200 - Returns information about the available versions that this queue manager can be upgraded to.

total_count

integer

Total count of versions available.

versions

array

The list of available versions that this queue manger can upgrade to.

301 -

400 -

401 -

404 -

429 -

500 -

Get connection information for a queue manager

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/connection_info

Get connection information for a queue manager.

Request

Path Parameters

service_instance_guid

Required *

string

The GUID that uniquely identifies the MQ SaaS service instance.

queue_manager_id

Required *

string

The id of the queue manager to retrieve its full details.

Query Parameters

Response

200 - Response of the connection information for the queue manager.

channel

array

A collection of channel connection details.

301 -

400 -

401 -

404 -

429 -

500 -

Get the status of the queue manager

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/status

Get the status of the queue manager instance.

Request

Response

200 - Current status for the queue manager.

status

string

The deploying and failed states are not queue manager states, they are states which can occur when the request to deploy has been fired, or with that request has failed without producing a queue manager to have any state. The other states map to the queue manager states. State "ending" is either quiesing or ending immediately. State "ended" is either ended normally or endedimmediately. The others map one to one with queue manager states.

301 -

400 -

401 -

404 -

429 -

500 -

Get a list of applications for an instance

GET /v1/{service_instance_guid}/applications

Get a list of applications for an instance.

Request

Path Parameters

Query Parameters

offset

integer

Pagination offset.

limit

integer

The numbers of resources to return.

Response

200 - Summary of the returned applications.

offset

integer

Pagination offset.

limit

integer

Results per page, same for all collections.

first

First

Link to first page of results.

next

Next

Link to next page of results.

previous

Previous

Link to previous page of results.

applications

array

List of applications.

301 -

400 -

401 -

404 -

429 -

500 -

Add an application to an instance

POST /v1/{service_instance_guid}/applications

Add an application to an instance.

Request

Request Body

Response

201 -

301 -

400 -

401 -

404 -

429 -

500 -

Get an application for an instance

GET /v1/{service_instance_guid}/applications/{application_id}

Get an application for an instance.

Request

Response

200 - Description of the returned application.

id

string

The ID of the application which was allocated on creation, and can be used for delete calls.

name

string

The name of the application - conforming to MQ rules.

iam_service_id

string

The IAM ID of the application

create_api_key_uri

string

The URI to create a new apikey for the application.

href

string

The URL for this application.

301 -

400 -

401 -

404 -

429 -

500 -

Delete an application from an instance

DELETE /v1/{service_instance_guid}/applications/{application_id}

Delete an application from an instance.

Request

Response

204 - Resource was deleted successfully.

301 -

400 -

401 -

404 -

429 -

500 -

Update the name for an application

PATCH /v1/{service_instance_guid}/applications/{application_id}

Update the application assigned to an MQ SaaS application

Request

Request Body

Response

200 - Application name was updated successfully.

id

string

The ID of the application which was allocated on creation, and can be used for delete calls.

name

string

The name of the application - conforming to MQ rules.

iam_service_id

string

The IAM ID of the application

create_api_key_uri

string

The URI to create a new apikey for the application.

href

string

The URL for this application.

400 -

401 -

404 -

429 -

500 -

Create a new apikey for an application

POST /v1/{service_instance_guid}/applications/{application_id}/api_key

Create a new apikey for an application.

Request

Request Body

Response

201 -

301 -

400 -

401 -

404 -

429 -

500 -

Get a list of users for an instance

GET /v1/{service_instance_guid}/users

Get a list of users for an instance.

Request

Path Parameters

Query Parameters

offset

integer

Pagination offset.

limit

integer

The numbers of resources to return.

Response

200 - Summary of the returned users.

offset

integer

Pagination offset.

limit

integer

Results per page, same for all collections.

first

First

Link to first page of results.

next

Next

Link to next page of results.

previous

Previous

Link to previous page of results.

users

array

List of users.

301 -

400 -

401 -

404 -

429 -

500 -

Add a user to an instance

POST /v1/{service_instance_guid}/users

Add a user to an instance.

Request

Request Body

Response

201 -

301 -

400 -

401 -

404 -

409 -

429 -

500 -

Get a user for an instance

GET /v1/{service_instance_guid}/users/{user_id}

Get a user for an instance.

Request

Response

200 - Description of the returned user.

id

string

The ID of the user which was allocated on creation, and can be used for delete calls.

name

string

The shortname of the user that will be used as the IBM MQ administrator in interactions with a queue manager for this service instance.

email

string

The email of the user.

iam_service_id

string

The IAM ID of the user

roles

array

A list of roles the user has

iam_managed

boolean

Indicates whether the user is managed by IAM

href

string

The URL for the user details.

301 -

400 -

401 -

404 -

429 -

500 -

Delete a user for an instance

DELETE /v1/{service_instance_guid}/users/{user_id}

Delete a user for an instance.

Request

Response

204 - Resource was deleted successfully.

301 -

400 -

401 -

404 -

429 -

500 -

Update the name for a user

PATCH /v1/{service_instance_guid}/users/{user_id}

Update the name assigned to an MQ SaaS user

Request

Request Body

Response

200 - User name was updated successfully.

id

string

The ID of the user which was allocated on creation, and can be used for delete calls.

name

string

The shortname of the user that will be used as the IBM MQ administrator in interactions with a queue manager for this service instance.

email

string

The email of the user.

iam_service_id

string

The IAM ID of the user

roles

array

A list of roles the user has

iam_managed

boolean

Indicates whether the user is managed by IAM

href

string

The URL for the user details.

400 -

401 -

404 -

429 -

500 -

Upload a trust store certificate

POST /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/trust_store

Import TLS certificate from a single self-contained PEM file to the truststore.

Request

Request Body

The filename and label that are to be uploaded.

Response

201 - An object containing details of the uploaded trust store certificate.

id

string

Id of the certificate.

label

string

Certificate label in queue manager store.

certificate_type

string

The type of certificate.

fingerprint_sha256

string

Fingerprint SHA256.

subject_dn

string

Subject's Distinguished Name.

subject_cn

string

Subject's Common Name.

issuer_dn

string

Issuer's Distinguished Name.

issuer_cn

string

Issuer's Common Name.

issued

string

The Date the certificate was issued.

expiry

string

Expiry date for the certificate.

trusted

boolean

Indicates whether a certificate is trusted.

href

string

The URL for this trust store certificate.

301 -

400 -

401 -

405 -

409 -

429 -

500 -

503 -

List trust store certificates

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/trust_store

Get the list of certificates in the queue manager's certificate trust store.

Request

Response

200 - An object containing a list of trust store certificates.

total_count

integer

The total count of trust store certificates.

trust_store

array

The list of trust store certificates.

301 -

400 -

401 -

404 -

429 -

500 -

Get a trust store certificate

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/trust_store/{certificate_id}

Get a trust store certificate from a queue manager.

Request

Response

200 - An object containing details of the trust store certificate.

id

string

Id of the certificate.

label

string

Certificate label in queue manager store.

certificate_type

string

The type of certificate.

fingerprint_sha256

string

Fingerprint SHA256.

subject_dn

string

Subject's Distinguished Name.

subject_cn

string

Subject's Common Name.

issuer_dn

string

Issuer's Distinguished Name.

issuer_cn

string

Issuer's Common Name.

issued

string

The Date the certificate was issued.

expiry

string

Expiry date for the certificate.

trusted

boolean

Indicates whether a certificate is trusted.

href

string

The URL for this trust store certificate.

301 -

400 -

401 -

404 -

429 -

500 -

Delete a trust store certificate

DELETE /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/trust_store/{certificate_id}

Delete a trust store certificate.

Request

Response

204 - Resource was deleted successfully.

301 -

400 -

401 -

404 -

429 -

500 -

Download a queue manager's certificate from its trust store

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/trust_store/{certificate_id}/download

Download the specified trust store certificate PEM file from the queue manager.

Request

Response

200 - OK

301 -

400 -

401 -

404 -

429 -

500 -

Upload a key store certificate

POST /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store

Import TLS certificate from a single self-contained PEM file into the queue manager's key store.

Request

Request Body

The filename and label that are to be uploaded.

Response

201 - An object containing details of the queue manager's key store certificate.

id

string

ID of the certificate.

label

string

Certificate label in queue manager store.

certificate_type

string

The type of certificate.

fingerprint_sha256

string

Fingerprint SHA256.

subject_dn

string

Subject's Distinguished Name.

subject_cn

string

Subject's Common Name.

issuer_dn

string

Issuer's Distinguished Name.

issuer_cn

string

Issuer's Common Name.

issued

string

Date certificate was issued.

expiry

string

Expiry date for the certificate.

is_default

boolean

Indicates whether it is the queue manager's default certificate.

dns_names_total_count

integer

The total count of dns names.

dns_names

array

The list of DNS names.

href

string

The URL for this key store certificate.

config

CertificateConfiguration

The configuration details for this certificate.

301 -

400 -

401 -

405 -

409 -

429 -

500 -

503 -

List key store certificates

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store

Get a list of certificates in the queue manager's certificate key store.

Request

Response

200 - An object containing a list of key store certificates for a queue manager.

total_count

integer

The total count of key store certificates.

key_store

array

The list of key store certificates.

301 -

400 -

401 -

404 -

429 -

500 -

Get a key store certificate for queue manager

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store/{certificate_id}

Get a key store certificate for queue manager.

Request

Response

200 - An object containing details of the queue manager key store certificate.

id

string

ID of the certificate.

label

string

Certificate label in queue manager store.

certificate_type

string

The type of certificate.

fingerprint_sha256

string

Fingerprint SHA256.

subject_dn

string

Subject's Distinguished Name.

subject_cn

string

Subject's Common Name.

issuer_dn

string

Issuer's Distinguished Name.

issuer_cn

string

Issuer's Common Name.

issued

string

Date certificate was issued.

expiry

string

Expiry date for the certificate.

is_default

boolean

Indicates whether it is the queue manager's default certificate.

dns_names_total_count

integer

The total count of dns names.

dns_names

array

The list of DNS names.

href

string

The URL for this key store certificate.

config

CertificateConfiguration

The configuration details for this certificate.

301 -

400 -

401 -

404 -

429 -

500 -

Delete a queue manager's key store certificate

DELETE /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store/{certificate_id}

Delete a queue manager's key store certificate.

Request

Response

204 - Resource was deleted successfully.

301 -

400 -

401 -

404 -

429 -

500 -

Download a queue manager's certificate from its key store

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store/{certificate_id}/download

Download the specified key store certificate PEM file from the queue manager.

Request

Response

200 - OK

301 -

400 -

401 -

404 -

429 -

500 -

Get the AMS channels that are configured with this key store certificate

GET /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store/{certificate_id}/config/ams

Get the AMS channels that are configured with this key store certificate.

Request

Response

200 - Details of AMS channels that are configured with the given certificate.

channels

array

A list of channels that are configured with this certificate.

301 -

400 -

401 -

404 -

429 -

500 -

Update the AMS channels that are configured with this key store certificate

PUT /v1/{service_instance_guid}/queue_managers/{queue_manager_id}/certificates/key_store/{certificate_id}/config/ams

Update the AMS channels that are configured with this key store certificate.

Request

Request Body

Response

200 - The updated list of AMS channels that are using this certificate.

channels

array

A list of channels that are configured with this certificate.

301 -

400 -

401 -

404 -

429 -

500 -

Create a new virtual private endpoint gateway

POST /v1/{service_instance_guid}/virtual_private_endpoint_gateway

Create a new virtual private endpoint gateway

Request

Request Body

Response

201 -

301 -

400 -

401 -

409 -

429 -

500 -

503 -

Get a list of information for all virtual private endpoint gateways

GET /v1/{service_instance_guid}/virtual_private_endpoint_gateway

Get a list of information for all Virtual private endpoint gateways.

Request

Path Parameters

Query Parameters

start

string

A server-provided token determining what resource to start the page on.

limit

integer

The numbers of resources to return.

Response

200 - An object with information of all virtual_private_endpoint_gateways in a service instance.

limit

integer

Results per page, same for all collections.

first

First

Link to first page of results.

next

Next

Link to next page of results.

virtual_private_endpoint_gateways

array

List of virtual private endpoint gateways

301 -

400 -

401 -

404 -

429 -

500 -

Display the information for a specific virtual private endpoint gateway

GET /v1/{service_instance_guid}/virtual_private_endpoint_gateway/{virtual_private_endpoint_gateway_guid}

Display the information for a specific virtual private endpoint gateway.

Request

Response

200 - An object with information of a specific virtual private endpoint gateway in a service instance.

href

string

URL for the details of the virtual private endpoint gateway

id

string

The ID of the virtual private endpoint gateway which was allocated on creation.

name

string

The name of the virtual private endpoint gateway, created by the user.

target_crn

string

The CRN of the virtual private endpoint gateway the user is trying to connect to.

status

string

The lifecycle state of this virtual privage endpoint.

301 -

400 -

401 -

404 -

429 -

500 -

Delete a specific virtual private endpoint gateway

DELETE /v1/{service_instance_guid}/virtual_private_endpoint_gateway/{virtual_private_endpoint_gateway_guid}

Delete a specific virtual_private_endpoint_gateway.

Request

Response

204 - Resource was deleted successfully.

301 -

400 -

401 -

404 -

429 -

500 -